%global qt_module qtimageformats

%define short_version 6.5

Summary:          Qt6 - QtImageFormats component
Name:             qt6-%{qt_module}
Version:          6.5.2
Release:          1

License:          LGPL-3.0-only OR GPL-3.0-only WITH Qt-GPL-exception-1.0
Url:              http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
%global  qt_version %(echo %{version} | cut -d~ -f1)

Source0:          https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz

Patch0:           qtimageformats-fix-build.patch

BuildRequires:    cmake
BuildRequires:    gcc-c++
BuildRequires:    ninja-build
BuildRequires:    qt6-qtbase-devel >= %{version}
BuildRequires:    qt6-qtbase-private-devel
BuildRequires:    libtiff-devel
BuildRequires:    pkgconfig(libmng)
BuildRequires:    pkgconfig(libwebp)
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

# filter plugin provides
%global __provides_exclude_from ^%{_qt6_plugindir}/.*\\.so$

%description
The core Qt Gui library by default supports reading and writing image
files of the most common file formats: PNG, JPEG, BMP, GIF and a few more,
ref. Reading and Writing Image Files. The Qt Image Formats add-on module
provides optional support for other image file formats, including:
MNG, TGA, TIFF, WBMP.

%package examples
Summary:          Programming examples for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1
rm -rv src/3rdparty

%build
%cmake_qt6 -DQT_FEATURE_mng=ON
cmake --build . %{?_smp_mflags} --verbose

%install
DESTDIR="%{buildroot}" cmake --install .

%files
%license LICENSES/GPL*
%license LICENSES/LGPL*
%{_qt6_plugindir}/imageformats/libqmng.so
%{_qt6_plugindir}/imageformats/libqtga.so
%{_qt6_plugindir}/imageformats/libqtiff.so
%{_qt6_plugindir}/imageformats/libqwbmp.so
%{_qt6_plugindir}/imageformats/libqicns.so
%{_qt6_plugindir}/imageformats/libqwebp.so
%{_qt6_libdir}/cmake/Qt6/*.cmake
%{_qt6_libdir}/cmake/Qt6Gui/*.cmake


%changelog
* Tue Aug 08 2023 peijiankang <peijiankang@kylinos.cn> - 6.5.2-1
- 6.5.2

* Fri Jul 14 2023 EastDong <xudong23@iscas.ac.cn> - 6.5.1-1
- update package

* Mon May 22 2023 peijiankang <peijiankang@kylinos.cn> - 6.5.0-2
- Fix syntax error when macro is not defined

* Mon May 15 2023 EastDong <xudong23@iscas.ac.cn> - 6.5.0-1
- update package

* Fri Nov 11 2022 Jingwiw <wangjingwei@iscas.ac.cn> - 6.4.0-1
- init package
